### Hierarchy

- User

### Implements

- IUser

## Index

### Constructors

- constructor

### Properties

- created
- id
- name
- permissions
- roles

### Methods

- addRole
- hasRole
- removeRole

## Constructors

### constructor

- new User(name?: string, roles?: string[], id?: string, created?: number): User

- - Defined in users/user.ts:17

  #### Parameters

  - ##### Default value name: string = "visitor"

  - ##### Default value roles: string[] = ['ANONYMOUS']

  - ##### Optional id: string

  - ##### Optional created: number

  #### Returns User

## Properties

### created

created: any

- Defined in users/user.ts:16

### id

id: any

- Defined in users/user.ts:13

### name

name: any

- Defined in users/user.ts:14

### permissions

permissions: PermissionsService

- Defined in users/user.ts:17

### roles

roles: any[] = []

- Defined in users/user.ts:15

## Methods

### addRole

- addRole(role: string): void

- - Defined in users/user.ts:31

  #### Parameters

  - ##### role: string

  #### Returns void

### hasRole

- hasRole(role: string): boolean

- - Defined in users/user.ts:44

  #### Parameters

  - ##### role: string

  #### Returns boolean

### removeRole

- removeRole(role: string): void

- - Defined in users/user.ts:36

  #### Parameters

  - ##### role: string

  #### Returns void